Bug 4125 - При кодировании большого файла бьется индекс avi-файла на отметке 1Gb
: При кодировании большого файла бьется индекс avi-файла на отметке 1Gb
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mplayer)
: unstable
: all Linux
: P3 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-05-12 23:03 by
Modified: 2007-05-09 00:31 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-05-12 23:03:14
MPlayer-1.0-alt9.pre4
Система - Sisyphus (20040509).

При кодировании большого файла mencoder'ом создается неправильный индекс
avi-файла. Появляется сообщение "ODML: Starting new RIFF chunk at 1023MiB" и
кодирование продолжается. Но при проигрывании результата mplayer'ом перемещение
по фильму невозможно за границу 1Gb. Обычное проигрывание (без перемещения
вперед-назад) проходит нормально.

Обходиться запуском mplayer -saveidx filename.idx filename.avi и последующим
mlpayer -loadidx filename.idx filename.avi (или сразу mplayer -forceidx
filename.avi).

В предыдущих версиях не наблюдалось (последние года два).
------- Comment #1 From 2004-05-24 13:59:51 -------
Временно вылечилось увеличением значения ODML_CHUNKLEN в
libmpdemux/muxer_avi.c.
По рекомендации http://mplayerhq.hu/pipermail/mplayer-users/2004-
April/044864.html
------- Comment #2 From 2005-10-06 17:00:44 -------
а на текущей сборке проверить получается?
------- Comment #3 From 2005-10-06 19:02:24 -------
MPlayer-1.0-alt21.pre7 
ODML: Starting new RIFF chunk at 1023MB 
------- Comment #4 From 2006-09-27 22:17:55 -------
2Led: я не стал assign'ить на тебя, но думаю, что ты можешь сказать точно:
исправлен этот баг в текущем Сизифе или нет? Знает ли о нём апстрим? Если баг,
твой, то реаззигни на себя.
------- Comment #5 From 2006-09-28 01:28:52 -------
reassign (following sisyphus package)
------- Comment #6 From 2006-09-28 12:53:03 -------
(In reply to comment #4)
> исправлен этот баг в текущем Сизифе или нет?

Исправить несложно. Вопрос в другом: насколько это будет соответсвовать 
спецификации AVI-контейнера? Будут ли файлы с chunk > 1G проигрываться 
плейерами (кроме mplayer)? а "железными" плейерами?
Могут ли вобще AVI-файлы иметь размер > 1Г? AFAIR изначально - нет, а вот были 
ли расширения к стандарту - к сожалению, не знаю. Для больших файлов уже давно 
есть такие контейнеры, как matroska (mkv) (mkvtoolnix), ogm (ogmtools) - они 
проигрываются всеми плейерами (вот только с "железными" - хуже).
------- Comment #7 From 2006-11-26 23:51:53 -------
Мож сделай N+1-ю ручку в спеке?..
------- Comment #8 From 2006-11-27 12:34:03 -------
(In reply to comment #7)
А "ручка" там есть:
%define odml_chunklen 0x40000000
Правда она закоментирована, потому как не помогает (по крайней мере, я не 
заметил улучшения при увеличениизначения) :(
------- Comment #9 From 2006-12-17 17:04:34 -------
Ну раз есть (и судя по #1), значит, FIXED.